<?php

namespace App\Modules\TypeBookingAssign\Application\List;

use App\Modules\LeadBooking\Domain\IdLeadBooking;
use App\Modules\TypeBookingAssign\Application\List\ListTypeBookingAssignQueryResponse;
use App\Modules\TypeBookingAssign\Domain\TypeBookingAssignRepository;

final class TypeBookingAssignLister
{
    public function __construct(private TypeBookingAssignRepository $repository)
    {
    }

    public function __invoke(string $action): ListTypeBookingAssignQueryResponse
    {
        return new ListTypeBookingAssignQueryResponse($this->repository->find($action));
    }
}
